> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Free Trial Links (/api-reference/free-trial-links/list-free-trial-links)

List all free trial links for the account, including the details and statistics

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/trial-links
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/trial-links:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: List Free Trial Links
      operationId: listFreeTrialLinks
      description: List all free trial links for the account, including the details
        and statistics
      parameters:
        - in: query
          name: limit
          description: The number of trial links to return. Default `10`
          example: 10
          required: true
          schema:
            type: integer
            description: The number of trial links to return. Default `10`
            example: 10
        - in: query
          name: offset
          description: The offset used for pagination. Default `0`
          example: 0
          required: true
          schema:
            type: integer
            description: The offset used for pagination. Default `0`
            example: 0
        - in: query
          name: sort
          description: Sort the results. Default `desc`
          example: desc
          required: false
          schema:
            type: string
            description: Sort the results. Default `desc`
            example: desc
            enum:
              - desc
              - asc
            nullable: true
        - in: query
          name: field
          description: Sort the results by a field. Default `create_date`
          example: create_date
          required: false
          schema:
            type: string
            description: Sort the results by a field. Default `create_date`
            example: create_date
            enum:
              - create_date
              - expire_date
              - subscribe_counts
              - subscribe_days
              - claims_count
            nullable: true
        - in: query
          name: synchronous
          description: Wait for the revenue data to finish processing, instead of
            processing in the background. **Will result in longer response
            times, use with caution**. Default `false`
          example: false
          required: false
          schema:
            type: boolean
            description: Wait for the revenue data to finish processing, instead of
              processing in the background. **Will result in longer response
              times, use with caution**. Default `false`
            example: false
            nullable: true
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    list:
                      - id: 123
                        trialLinkName: Trial link name
                        url: https://onlyfans.com/username/trial/abc123
                        subscribeDays: 30
                        subscribeCounts: 0
                        claimCounts: 123
                        clicksCounts: 182
                        expiredAt: null
                        createdAt: 2025-01-01T01:01:01+00:00
                        isFinished: false
                        tags:
                          - Instagram
                          - Twitter
                        revenue:
                          total: 123
                          revenuePerSubscriber: 12
                          spendersCount: 16
                          calculatedAt: 2025-01-01T01:01:01+00:00
                          isLoading: false
                        links:
                          related:
                            subscribers: https://app.onlyfansapi.com/api/acct_abc123/trial-links/123/subscribers
                    hasMore: true
                  _pagination:
                    next_page: https://app.onlyfansapi.com/api/acct_abc123/trial-links?limit=10&offset=10
                  _meta:
                    _credits:
                      used: 1
                      balance: 115580
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 997
                      remaining_day: 49990
                properties:
                  data:
                    type: object
                    properties:
                      list:
                        type: array
                        example:
                          - id: 123
                            trialLinkName: Trial link name
                            url: https://onlyfans.com/username/trial/abc123
                            subscribeDays: 30
                            subscribeCounts: 0
                            claimCounts: 123
                            clicksCounts: 182
                            expiredAt: null
                            createdAt: 2025-01-01T01:01:01+00:00
                            isFinished: false
                            tags:
                              - Instagram
                              - Twitter
                            revenue:
                              total: 123
                              revenuePerSubscriber: 12
                              spendersCount: 16
                              calculatedAt: 2025-01-01T01:01:01+00:00
                              isLoading: false
                            links:
                              related:
                                subscribers: https://app.onlyfansapi.com/api/acct_abc123/trial-links/123/subscribers
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 123
                            trialLinkName:
                              type: string
                              example: Trial link name
                            url:
                              type: string
                              example: https://onlyfans.com/username/trial/abc123
                            subscribeDays:
                              type: integer
                              example: 30
                            subscribeCounts:
                              type: integer
                              example: 0
                            claimCounts:
                              type: integer
                              example: 123
                            clicksCounts:
                              type: integer
                              example: 182
                            expiredAt:
                              type: string
                              example: null
                              nullable: true
                            createdAt:
                              type: string
                              example: 2025-01-01T01:01:01+00:00
                            isFinished:
                              type: boolean
                              example: false
                            tags:
                              type: array
                              example:
                                - Instagram
                                - Twitter
                              items:
                                type: string
                            revenue:
                              type: object
                              properties:
                                total:
                                  type: number
                                  example: 123
                                revenuePerSubscriber:
                                  type: number
                                  example: 12
                                spendersCount:
                                  type: integer
                                  example: 16
                                calculatedAt:
                                  type: string
                                  example: 2025-01-01T01:01:01+00:00
                                isLoading:
                                  type: boolean
                                  example: false
                            links:
                              type: object
                              properties:
                                related:
                                  type: object
                                  properties:
                                    subscribers:
                                      type: string
                                      example: https://app.onlyfansapi.com/api/acct_abc123/trial-links/123/subscribers
                      hasMore:
                        type: boolean
                        example: true
                  _pagination:
                    type: object
                    properties:
                      next_page:
                        type: string
                        example: https://app.onlyfansapi.com/api/acct_abc123/trial-links?limit=10&offset=10
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 115580
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 997
                          remaining_day:
                            type: integer
                            example: 49990
      tags:
        - Free Trial Links
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````